OpenShot Audio Library | OpenShotAudio: juce::XmlElement::TextFormat Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::XmlElement::TextFormat Struct Reference

`#include <juce_XmlElement.h>`

## Public Member Functions
| TextFormat ()
TextFormat | singleLine () const
TextFormat | withoutHeader () const

## Public Attributes
String | dtd
String | customHeader
String | customEncoding
bool | addDefaultHeader = true
int | lineWrapLength = 60
const char * | newLineChars = "\r\n"

## Detailed Description

A struct containing options for formatting the text when representing an XML element as a string.

Definition at line 135 of file juce_XmlElement.h.

## Constructor & Destructor Documentation

## ◆ TextFormat()

juce::XmlElement::TextFormat::TextFormat | ( |  | ) |

Default constructor.

Definition at line 336 of file juce_XmlElement.cpp.

## Member Function Documentation

## ◆ singleLine()

XmlElement::TextFormat juce::XmlElement::TextFormat::singleLine | ( |  | ) | const
| nodiscard

returns a copy of this format with newLineChars set to nullptr.

Definition at line 338 of file juce_XmlElement.cpp.

Referenced by juce::PropertySet::setValue().

## ◆ withoutHeader()

XmlElement::TextFormat juce::XmlElement::TextFormat::withoutHeader | ( |  | ) | const
| nodiscard

returns a copy of this format with the addDefaultHeader flag set to false.

Definition at line 345 of file juce_XmlElement.cpp.

Referenced by juce::PropertySet::setValue().

## Member Data Documentation

## ◆ addDefaultHeader

bool juce::XmlElement::TextFormat::addDefaultHeader = true

If true, a default header will be generated; otherwise just bare XML will be emitted.

Definition at line 143 of file juce_XmlElement.h.

Referenced by withoutHeader(), and juce::XmlElement::writeTo().

## ◆ customEncoding

String juce::XmlElement::TextFormat::customEncoding

If not empty and addDefaultHeader is true, this will be set as the encoding. Otherwise, a default of "UTF-8" will be used

Definition at line 142 of file juce_XmlElement.h.

Referenced by juce::XmlElement::writeTo().

## ◆ customHeader

String juce::XmlElement::TextFormat::customHeader

If supplied, this header will be used (and customEncoding & addDefaultHeader will be ignored).

Definition at line 141 of file juce_XmlElement.h.

Referenced by juce::XmlElement::writeTo().

## ◆ dtd

String juce::XmlElement::TextFormat::dtd

If supplied, this DTD will be added to the document.

Definition at line 140 of file juce_XmlElement.h.

Referenced by juce::XmlElement::writeTo().

## ◆ lineWrapLength

int juce::XmlElement::TextFormat::lineWrapLength = 60

A maximum line length before wrapping is done. (If newLineChars is nullptr, this is ignored)

Definition at line 144 of file juce_XmlElement.h.

Referenced by juce::XmlElement::writeTo().

## ◆ newLineChars

const char* juce::XmlElement::TextFormat::newLineChars = "\r\n"

Allows the newline characters to be set. If you set this to nullptr, then the whole XML document will be placed on a single line.

Definition at line 145 of file juce_XmlElement.h.

Referenced by singleLine(), and juce::XmlElement::writeTo().

The documentation for this struct was generated from the following files:

- juce_XmlElement.h
- juce_XmlElement.cpp